### Hierarchy

- CardContentComponent

### Implements

- OnInit
- AfterViewInit

## Index

### Inputs

- emptyText
- isEmpty

### Constructors

- constructor

### Properties

- cardService
- contentClass
- elementRef
- emptyText
- expandedClass
- isEmpty

### Methods

- isTemplate
- ngAfterViewInit
- ngOnInit

## Constructors

### constructor

- new CardContentComponent(cardService: CardService, elementRef: ElementRef<any>): CardContentComponent

- - Defined in packages/angular/src/card/card-content.component.ts:29

  #### Parameters

  - ##### cardService: CardService

  - ##### elementRef: ElementRef<any>

  #### Returns CardContentComponent

## Properties

### Protected cardService

cardService: CardService

### contentClass

@HostBinding({"hostPropertyName":"'class.iot--card--content'"})
contentClass: boolean = true

- Defined in packages/angular/src/card/card-content.component.ts:23

### Protected elementRef

elementRef: ElementRef<any>

### emptyText

@Input()
emptyText: any

- Defined in packages/angular/src/card/card-content.component.ts:28

expects string | TemplateRef

### expandedClass

@HostBinding({"hostPropertyName":"'class.iot--card--content--expanded'"})
expandedClass: boolean = false

- Defined in packages/angular/src/card/card-content.component.ts:24

### isEmpty

@Input()
isEmpty: boolean = false

- Defined in packages/angular/src/card/card-content.component.ts:29

## Methods

### isTemplate

- isTemplate(value: any): boolean

- - Defined in packages/angular/src/card/card-content.component.ts:44

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in packages/angular/src/card/card-content.component.ts:39

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/card/card-content.component.ts:33

  #### Returns void

Generated using TypeDoc